package cn.com.countrygarden.bi.main.service.personnel;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelAdvisorType;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 导师类型-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-09-27
 */
public interface PersonnelAdvisorTypeService {

    Result queryPageList(PersonnelAdvisorType personnelAdvisorType, int page, int size);

    Result queryById(Integer id);

    Result add(PersonnelAdvisorType personnelAdvisorType, AccessToken accessToken);

    Result edit(PersonnelAdvisorType personnelAdvisorType, AccessToken accessToken);

    Result del(Integer id);
}